{
    "id": "93d3b67e-7ee6-4405-b47b-ee597ac58c61",
    "name": "staleworkitem",
    "friendlyName": "Stale Work Item Task",
    "description": "Mark work items as Stale if there has been no activity on work item in last N days",
    "helpMarkDown": "Mark work items as Stale if there has been no activity on work item in last N days",
    "category": "Utility",
    "author": "devopscli",
    "version": {
        "Major": 0,
        "Minor": 1,
        "Patch": 1
    },
    "instanceNameFormat": "$(AreaPath) mark stale Work Item Task after $(staleThresholdInDays) days",
    "inputs": [
        {
            "name": "staleThresholdInDays",
            "type": "int",
            "label": "Days Until Stale",
            "defaultValue": 30,
            "required": true,
            "helpMarkDown": "Work Items will be marked stale after these many days."
        },
        {
            "name": "Organization",
            "type": "string",
            "label": "Organization",
            "defaultValue": "",
            "required": true,
            "helpMarkDown": "Organization to target. Example: https://dev.azure.com/fabrikam"
        },
        {
            "name": "AreaPath",
            "type": "string",
            "label": "Area Path",
            "defaultValue": "",
            "required": true,
            "helpMarkDown": "Area Path to target."
        },
        {
            "name": "PatToken",
            "type": "string",
            "label": "PAT token to talk to organization which is targeted.",
            "defaultValue": "",
            "required": true,
            "helpMarkDown": "PAT token to talk to organization which is targeted."
        }
    ],
    "execution": {
        "PowerShell3": {
            "target": "markWorkItemAsStale.ps1"
        }
    }
}